module.exports = {
  create: {
    requestBody: [
      '!code',
      '!name',
      '!category',
      'sort'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'code',
      'name',
      'category',
      'sort'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        code  :'code',
        name  :'name',
        category  :'category'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['sort'],
      desc: true,
      count: true
    }
  },
};
