module.exports = {
  create: {
    requestBody: [
      '!pic',
      '!name',
      '!url'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'pic',
      'name',
      'url'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        pic  :'pic',
        name  :'name',
        url  :'url'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
