'use strict';

const _ = require('lodash');
const meta = require('./.set.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 站点信息管理
class SetController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.set;
  }

  async show() {
    const res = await this.service.show();
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(SetController, meta);
