'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class SetService extends CrudService {
  constructor(ctx) {
    super(ctx, 'set');
    this.model = this.ctx.model.Set;
  }

  async show() {
    const set = await this.model.findOne();
    return set;
  }
}

module.exports = SetService;
